CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TextTestResult Class Reference
Tracking test execution

Holds printable test result (DEPRECATED).deprecated Use class TextTestProgressListener and TextOutputter instead. More...

`#include <TextTestResult.h>`

Inheritance diagram for TextTestResult:

## Public Member Functions

| TextTestResult ()
virtual void | addFailure (const TestFailure &failure)
| Called when a failure occurs while running a test. More...
virtual void | startTest (Test *test)
| Informs TestListener that a test will be started. More...
virtual void | print (OStream &stream)
Public Member Functions inherited from TestResult
| TestResult (SynchronizationObject *syncObject=0)
| Construct a TestResult. More...
virtual | ~TestResult ()
| Destroys a test result. More...
virtual void | addListener (TestListener *listener)
virtual void | removeListener (TestListener *listener)
virtual void | reset ()
| Resets the stop flag. More...
virtual void | stop ()
| Stop testing. More...
virtual bool | shouldStop () const
| Returns whether testing should be stopped. More...
virtual void | addError (Test *test, Exception *e)
| Adds an error to the list of errors. The passed in exception caused the error. More...
virtual void | addFailure (Test *test, Exception *e)
| Adds a failure to the list of failures. The passed in exception caused the failure. More...
virtual void | endTest (Test *test)
| Informs TestListener that a test was completed. More...
virtual void | startSuite (Test *test)
| Informs TestListener that a test suite will be started. More...
virtual void | endSuite (Test *test)
| Informs TestListener that a test suite was completed. More...
virtual void | runTest (Test *test)
| Run the specified test. More...
virtual bool | protect (const Functor &functor, Test *test, const std::string &shortDescription=std::string(""))
| Protects a call to the specified functor. More...
virtual void | pushProtector (Protector *protector)
| Adds the specified protector to the protector chain. More...
virtual void | popProtector ()
| Removes the last protector from the protector chain. More...
Public Member Functions inherited from TestResultCollector
| TestResultCollector (SynchronizationObject *syncObject=0)
virtual | ~TestResultCollector ()
| Destructor. More...
virtual void | reset ()
virtual int | runTests () const
| Gets the number of run tests. More...
virtual int | testErrors () const
| Gets the number of detected errors (uncaught exception). More...
virtual int | testFailures () const
| Gets the number of detected failures (failed assertion). More...
virtual int | testFailuresTotal () const
| Gets the total number of detected failures. More...
virtual const TestFailures & | failures () const
| Returns a the list failures (random access collection). More...
virtual const Tests & | tests () const
Public Member Functions inherited from TestSuccessListener
| TestSuccessListener (SynchronizationObject *syncObject=0)
virtual | ~TestSuccessListener ()
| Destructor. More...
virtual bool | wasSuccessful () const
| Returns whether the entire test was successful or not. More...
Public Member Functions inherited from TestListener
virtual | ~TestListener ()
virtual void | endTest (Test *)
| Called just after a TestCase was run (even if a failure occured). More...
virtual void | startSuite (Test *)
| Called by a TestComposite just before running its child tests. More...
virtual void | endSuite (Test *)
| Called by a TestComposite after running its child tests. More...
virtual void | startTestRun (Test *, TestResult *)
| Called by a TestRunner before running the test. More...
virtual void | endTestRun (Test *, TestResult *)
| Called by a TestRunner after running the test. More...

## Additional Inherited Members

Public Types inherited from TestResultCollector
typedef CppUnitDeque< TestFailure * > | TestFailures
typedef CppUnitDeque< Test * > | Tests
Protected Types inherited from TestResult
typedef CppUnitDeque< TestListener * > | TestListeners
Protected Member Functions inherited from TestResult
void | addFailure (const TestFailure &failure)
| Called to add a failure to the list of failures. More...
virtual void | startTestRun (Test *test)
virtual void | endTestRun (Test *test)
Protected Member Functions inherited from SynchronizedObject
virtual void | setSynchronizationObject (SynchronizationObject *syncObject)
| Accept a new synchronization object for protection of this instance TestResult assumes ownership of the object. More...
| SynchronizedObject (SynchronizationObject *syncObject=0)
virtual | ~SynchronizedObject ()
| Destructor. More...
Protected Member Functions inherited from TestResultCollector
void | freeFailures ()
Protected Attributes inherited from TestResult
TestListeners | m_listeners
ProtectorChain * | m_protectorChain
bool | m_stop
Protected Attributes inherited from SynchronizedObject
SynchronizationObject * | m_syncObject
Protected Attributes inherited from TestResultCollector
Tests | m_tests
TestFailures | m_failures
int | m_testErrors

## Detailed Description

Holds printable test result (DEPRECATED).

deprecated Use class TextTestProgressListener and TextOutputter instead.

## Constructor & Destructor Documentation

CPPUNIT_NS_BEGIN TextTestResult::TextTestResult | ( |  | ) |

## Member Function Documentation

void TextTestResult::addFailure | ( | const TestFailure & |  | ) |

virtual

Called when a failure occurs while running a test.

See also
  TestFailure.

Warning
  failure is a temporary object that is destroyed after the method call. Use TestFailure::clone() to create a duplicate.

Reimplemented from TestResultCollector.

void TextTestResult::print | ( | OStream & | stream | ) |

virtual

void TextTestResult::startTest | ( | Test * | test | ) |

virtual

Informs TestListener that a test will be started.

Reimplemented from TestResult.

The documentation for this class was generated from the following files:

- TextTestResult.h
- TextTestResult.cpp

| hosts this site. |  | Send comments to: CppUnit Developers